Bug 1477735 - Shim was unable to measure state into the TPM
Shim was unable to measure state into the TPM
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: shim (Show other bugs)
7.4
x86_64 Linux
high Severity high
: rc
: ---
Assigned To: Peter Jones
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-02 14:46 EDT by Forrest Taylor
Modified: 2018-04-29 00:23 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Disk information (1.52 KB, text/plain)
2017-08-02 15:11 EDT, Forrest Taylor
no flags Details
grub.cfg (6.87 KB, text/plain)
2017-08-02 15:11 EDT, Forrest Taylor
no flags Details

  None (edit)
Description Forrest Taylor 2017-08-02 14:46:28 EDT
Description of problem:
After updating to RHEL7.4 (from an updated 7.3), the machine was not able to boot in UEFI Secure Boot.  shim was updated to shim-x64 and grub2-efi was updated to grub2-efi-x64.  At boot, the system reports:

Something has gone seriously wrong: Invalid Parameter
Shim was unable to measure state into the TPM

The system will no longer boot.  This system was installed with RHEL7.0 and has been updated and rebooted several times since then without issue.


Version-Release number of selected component (if applicable):
grub2-efi-x64-2.02-0.64.el7
shim-x64-12-1.el7

How reproducible:
Always

Steps to Reproduce:
1. Update to latest RHEL7.3
2. Use UEFI Secure Boot
3. Update to RHEL7.4

Actual results:
Won't boot.
Comment 2 Forrest Taylor 2017-08-02 15:11 EDT
Created attachment 1308431 [details]
Disk information

Output of gdisk -l and df -h.
Comment 3 Forrest Taylor 2017-08-02 15:11 EDT
Created attachment 1308432 [details]
grub.cfg

Grub configuration file.
Comment 4 Forrest Taylor 2017-08-03 16:55:31 EDT
After much work, I was able to workaround the issue by reverting to older packages.

1. Leave EFI and Secure Boot enabled.
2. Boot from a RHEL ISO and start Anaconda rescue.
3. Configure networking.
4. Remove the new packages:
# yum remove mokutil grub2-tools grub2-tools-minimal grub2-tools-extra grub2-tools-efi grub2-efi shim
5. Install the old packages, excluding the new packages and ignoring obsoletes:
yum install shim-0.9-2.el7 grub2-efi-2.02-0.44.el7 grub2-tools-2.02-0.44.el7 mokutil-0.9-2.el7 -x shim-x64,grub2-efi-x64,grub2-tools-extra,grub2-tools-minimal --setopt=obsoletes=0
6. Reboot (SELinux will run the first time you reboot, so it will reboot a second time).
Comment 6 Laurent G. 2018-04-22 11:37:51 EDT
The uefi secure boot bug is present in rhel 7.4, fedora 27, fedora 28 beta. 

Supposing you're in uefi secure mode:

If you install from scratch rhel 7.4: it will not boot.

If you install from scratch fedora 27: it will not boot.

If you install from scratch fedora 28 beta: it will not boot.


Would it be wise to revert shim to the previous stable version in rhel 7.5 and fedora 28 ?

--
Laurent

Note You need to log in before you can comment on or make changes to this bug.